Bug 672313 - Spec file should use Requires(post) instead of Requires(posttrans)
Summary: Spec file should use Requires(post) instead of Requires(posttrans)
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Install/Uninstall
Version: 1.2.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 389_1.2.8 672315
TreeView+ depends on / blocked
 
Reported: 2011-01-24 19:39 UTC by Rich Megginson
Modified: 2015-12-07 16:59 UTC (History)
2 users (show)

(edit)
Clone Of:
: 672315 (view as bug list)
(edit)
Last Closed: 2015-12-07 16:59:44 UTC


Attachments (Terms of Use)

Description Rich Megginson 2011-01-24 19:39:44 UTC
Requires(posttrans) is deprecated - need to use Requires(post) instead

Comment 1 Nathan Kinder 2011-01-24 22:27:15 UTC
I have changed the specfiles to use "Requires(post)" for F13, F14, and rawhide.  This will be fixed when we build 389-ds-base-1.2.8.a1.

Comment 2 Nathan Kinder 2011-01-24 22:30:41 UTC
I also updated the specfile for the el5 EPEL branch.

Comment 3 Panu Matilainen 2011-01-25 12:14:00 UTC
A small correction: posttrans as a Requires qualifier is not deprecated. It simply has never been supported, but a spec parser flaw has let it slip through as a regular require (which actually happens to be a fairly close approximation of its real needs)

Comment 4 Jenny Galipeau 2011-04-14 18:36:07 UTC
Is this enough to verify this bug?

# cat 389-ds-base-1.2.8.1-1.el6.src.rpm.spec | grep posttrans
%posttrans
# echo posttrans - upgrading - looking for instances in $instbase
- %posttrans now runs update to update the server instances

Comment 5 Jenny Galipeau 2011-04-14 18:37:12 UTC
cat 389-ds-base-1.2.8.1-1.el6.src.rpm.spec | grep Requires\(post\)
Requires(post): /sbin/chkconfig

Comment 6 Rich Megginson 2011-04-14 19:39:53 UTC
(In reply to comment #5)
> cat 389-ds-base-1.2.8.1-1.el6.src.rpm.spec | grep Requires\(post\)
> Requires(post): /sbin/chkconfig

ack

Comment 7 Jenny Galipeau 2011-04-14 21:01:57 UTC
closing verified, per  comment #6


Note You need to log in before you can comment on or make changes to this bug.